Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Measure und Divide

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Measure und Divide (780 mal gelesen)
stk
Mitglied



Sehen Sie sich das Profil von stk an!   Senden Sie eine Private Message an stk  Schreiben Sie einen Gästebucheintrag für stk

Beiträge: 165
Registriert: 27.10.2002

erstellt am: 04. Okt. 2012 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe mal eine Frage,ist es möglich den Masure und Divide-Befehl
auch von einen Anfangspunkt zu einem Endpunkt zu nutzen ? Im Standardbefehl kann man nur die ganze Linie anpicken.Mein Problem =
Eine 500mm lange Linie die jeweils 20mm vom Endpunkt entfernt einen
bestimmten Block hat.Jetzt möchte ich bei den Rest der Strecke also 460mm dazwichen andere Blöcke setzen.Meine jetzige Vorgehensweise ist
relativ umständlich.Ich Zeichne zwischen den beiden Punkten eine Hilfslinie,setze mit anpicken meine neuen Blöcke dazwischen und lösche
die Hilfslinie wieder.Mit Anfangs und Endpunkt wäre es einfacher.
Für eine Antwort wäre ich dankbar.Mit der suche hatte ich keinen Erfolg.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2162
Registriert: 02.05.2006

BricsCAD V11 - V20 Pro
Visual Basic

erstellt am: 24. Okt. 2012 00:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für stk 10 Unities + Antwort hilfreich

Measure und divide verlangen immer ein Objekt, deshalb wirst Du um eine Hilfslinie nicht herumkommen.

Sollte das öfter gebraucht werden, mit immer den gleichen Vorgaben/Blöcken, könnte man sich überlegen das mit Lisp oder VBA nachzuprogrammieren. Bei diesen festen Vorgaben wären das nur ein paar Zeilen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

stk
Mitglied



Sehen Sie sich das Profil von stk an!   Senden Sie eine Private Message an stk  Schreiben Sie einen Gästebucheintrag für stk

Beiträge: 165
Registriert: 27.10.2002

erstellt am: 24. Okt. 2012 16:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo und danke für die Antwort.Ja ich muss den Befehl täglich viel Nutzen und immer mit den gleichen Vorgaben/Blöcken.

mfg Stk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PixelMission
Mitglied
Designer


Sehen Sie sich das Profil von PixelMission an!   Senden Sie eine Private Message an PixelMission  Schreiben Sie einen Gästebucheintrag für PixelMission

Beiträge: 31
Registriert: 17.12.2011

erstellt am: 30. Okt. 2012 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für stk 10 Unities + Antwort hilfreich

Moin ... hier mal ein SEHR einfach gestricktes Dingen - na klar musst Du DEINEN Block/Deine Blöcke an entprechender Stelle einsetzen - auch die Anzahl beim "Teilen" anpassen ... aber es könnte ein Ansatz sein für Dein "Problem"! 

(defun c:specmes()
  (setvar "osmode" 1)
  (setq lpt01 (getpoint "\nAnfangspunkt der Linie zeigen: ")
lpt02 (getpoint "\nEndpunkt der Linie zeigen: ")
lpta1 (getreal "\nAbstand vom Endpunkt: ") ;wenn mal nicht "20" ...
  )
(if (= lpta1 nil)(setq lpta1 20))
  (setq lpwin (angle lpt01 lpt02)
lplan (distance lpt01 lpt02)
lpth1 (polar lpt01 lpwin lpta1)
lpth2 (polar lpt02 (+ pi lpwin) lpta1)
  )
  (setvar "osmode" 0)
  (command "_line" lpth1 lpth2 "")
  (setq nlin (entlast))
  (command "_-insert" "ltest" lpth1 "1" "1" "0")
  (command "_-insert" "ltest" lpth2 "1" "1" "0")
  (initget "m M t T")
  (setq dorm (getstring "\n(M)essen oder (T)eilen? <T>: "))
  (cond
    ((= dorm nil)(command "_divide" nlin "_bl" "ltest" "" "5"))
    ((= dorm "")(command "_divide" nlin "_bl" "ltest" "" "5"))
((= dorm "t")(command "_divide" nlin "_bl" "ltest" "" "5")) ;hier natuerlich die Anzahl der Blöcke berichtigen ... "5"
((= dorm "m")(command "_measure" nlin "_bl" "ltest" "_y" "25")) ;für "ltest" Deinen Block einsetzen! Und ... den Abstand "25" anpassen
  )
  (command "_erase" nlin "")
  (prin1)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

stk
Mitglied



Sehen Sie sich das Profil von stk an!   Senden Sie eine Private Message an stk  Schreiben Sie einen Gästebucheintrag für stk

Beiträge: 165
Registriert: 27.10.2002

erstellt am: 30. Okt. 2012 16:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
alle Achtung,vielen Dank für die Mühe.Habe es gleich mal ausprobiert und funktioniert alles super, genau das was ich schon lange gesucht
habe.Das einzige was nicht so schön ist,das beim aufrufen des Codes der Fang auf Endpunkt beschränkt ist, der Rest schaltet sich ab.Würde aber gern auch die restlichen Fangoptionen wie Nächster,Mittelpunkt usw.nutzen können.Wenn das Prog beendet wird,bleibt der Fang auf Endpunkt und ich muß dann zum weiterarbeiten mir anderen Befehlen alle Fänge wieder einschalten.Geht da noch was ?

Gruß aus Berlin
Stk 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PixelMission
Mitglied
Designer


Sehen Sie sich das Profil von PixelMission an!   Senden Sie eine Private Message an PixelMission  Schreiben Sie einen Gästebucheintrag für PixelMission

Beiträge: 31
Registriert: 17.12.2011

erstellt am: 30. Okt. 2012 16:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für stk 10 Unities + Antwort hilfreich

(defun c:specmes()
;  (setvar "osmode" 1)
  (setq osave (getvar "osmode")
lpt01 (getpoint "\nAnfangspunkt der Linie zeigen: ")
lpt02 (getpoint "\nEndpunkt der Linie zeigen: ")
lpta1 (getreal "\nAbstand vom Endpunkt: ") ;wenn mal nicht "20" ...
  )
(if (= lpta1 nil)(setq lpta1 20))
  (setq lpwin (angle lpt01 lpt02)
lplan (distance lpt01 lpt02)
lpth1 (polar lpt01 lpwin lpta1)
lpth2 (polar lpt02 (+ pi lpwin) lpta1)
  )
  (setvar "osmode" 0)
  (command "_line" lpth1 lpth2 "")
  (setq nlin (entlast))
  (command "_-insert" "ltest" lpth1 "1" "1" "0")
  (command "_-insert" "ltest" lpth2 "1" "1" "0")
  (initget "m M t T")
  (setq dorm (getstring "\n(M)essen oder (T)eilen? <T>: "))
  (cond
    ((= dorm nil)(command "_divide" nlin "_bl" "ltest" "" "5"))
    ((= dorm "")(command "_divide" nlin "_bl" "ltest" "" "5"))
((= dorm "t")(command "_divide" nlin "_bl" "ltest" "" "5")) ;hier natuerlich die Anzahl der Blöcke berichtigen ... "5"
((= dorm "m")(command "_measure" nlin "_bl" "ltest" "_y" "25")) ;für "ltest" Deinen Block einsetzen! Und ... den Abstand "25" anpassen
  )
  (command "_erase" nlin "")
  (setvar "osmode" osave)
  (prin1)
)

Jetzt sollte, wenn die Funktion nicht abgebrochen wird, der vorherige Zustand der Variable "osmode" wieder hergestellt werden ... 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

stk
Mitglied



Sehen Sie sich das Profil von stk an!   Senden Sie eine Private Message an stk  Schreiben Sie einen Gästebucheintrag für stk

Beiträge: 165
Registriert: 27.10.2002

erstellt am: 30. Okt. 2012 17:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super,
vielen vielen Dank für die Zeit die Sie geopfert haben.Das Prog funktioniert super.

Gruß aus Berlin
Stk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz